Skip to main content

Get Rebate Records Detail

request

get /api/v3/rebate/detail?timestamp={{timestamp}}&signature={{signature}}

response

{
    "page": 1,
    "totalRecords": 1,
    "totalPageNum": 1,
    "data": [
        {
            "asset": "USDT",
            "type": "spot",      
            "rate": "0.3",
            "amount": "0.0001126",
            "uid": "2293729101827",
            "account": "154****291@qq.com",
            "tradeTime": 1637651320000,
            "updateTime": 1637651320000
        },
        ...
        {
            "asset": "ETH",
            "type": "spot",
            "rate": "0.3",
            "amount": "0.00000056",
            "uid": "22937291018263",
            "account": "154****291@qq.com",
            "tradeTime": 1637651320000,
            "updateTime": 1637928379000
        }
    ]
}

Http Request

  • GET /api/v3/rebate/detail

Permission: SPOT_ACCOUNT_READ

Weight(IP): 1

Request

NameTypeMandatoryDescription
startTimelongNOUnix millisecond timestamp
endTimelongNOUnix millisecond timestamp
pageintNOdefault 1
recvWindowlongNO
timestamplongYES
signaturestringYES

Response

NameTypeDescription
assetstringrebate asset
typestringrebate type: spot futures
ratestringrebate rate
amountstringrebate amount
uidstringInvitee uid
accountstringInvitee account
tradeTimelongtrade time
updateTimelongupdate time

If startTime and endTime are not sent, the recent 1 year's data will be returned.